Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.ast
Class ConditionVec

    java.lang.Object
      escjava.ast.ConditionVec

public class ConditionVec
extends java.lang.Object

Field Summary
`private int` | `count`
`private Condition[]` | `elements` * Instance fields: * *

Constructor Summary
`private` | `ConditionVec(Condition[] els)` * Private constructors: * *
`private` | `ConditionVec(int cnt)`

Method Summary
`void` | `addElement(Condition x)`
`void` | `append(ConditionVec vec)`
`boolean` | `contains(Condition x)`
`ConditionVec` | `copy()`
`Condition` | `elementAt(int index)` * Other methods: * *
`void` | `insertElementAt(Condition obj, int index)`
`static ConditionVec` | `make()` * Public maker methods: * *
`static ConditionVec` | `make(Condition[] els)`
`static ConditionVec` | `make(int count)`
`static ConditionVec` | `make(java.util.Vector vec)`
`Condition` | `pop()`
`static ConditionVec` | `popFromStackVector(StackVector s)`
`void` | `removeAllElements()`
`boolean` | `removeElement(Condition x)`
`void` | `removeElementAt(int i)`
`void` | `setElementAt(Condition x, int index)`
`int` | `size()`
`Condition[]` | `toArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### elements

    private Condition[] elements

  * Instance fields: * *

### count

    private int count

Constructor Detail

### ConditionVec

    private ConditionVec(Condition[] els)

  * Private constructors: * *

### ConditionVec

    private ConditionVec(int cnt)

Method Detail

### make

    public static ConditionVec make()

  * Public maker methods: * *

### make

    public static ConditionVec make(int count)

### make

    public static ConditionVec make(java.util.Vector vec)

### make

    public static ConditionVec make(Condition[] els)

### popFromStackVector

    public static ConditionVec popFromStackVector(StackVector s)

### elementAt

    public final Condition elementAt(int index)

  * Other methods: * *

### setElementAt

    public final void setElementAt(Condition x,
                                   int index)

### size

    public final int size()

### toString

    public final java.lang.String toString()

### toArray

    public final Condition[] toArray()

### copy

    public final ConditionVec copy()

### contains

    public boolean contains(Condition x)

### addElement

    public final void addElement(Condition x)

### removeElement

    public final boolean removeElement(Condition x)

### removeElementAt

    public final void removeElementAt(int i)

### pop

    public final Condition pop()

### removeAllElements

    public final void removeAllElements()

### insertElementAt

    public final void insertElementAt(Condition obj,
                                      int index)

### append

    public final void append(ConditionVec vec)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage